GNU Radio C++ API Reference: LineColorMenu Class Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
LineColorMenu Class Reference

`#include <gnuradio/qtgui/form_menus.h>`

## Public Slots
void | getBlue ()
void | getRed ()
void | getGreen ()
void | getBlack ()
void | getCyan ()
void | getMagenta ()
void | getYellow ()
void | getGray ()
void | getDarkRed ()
void | getDarkGreen ()
void | getDarkBlue ()
void | getDarkGray ()

## Signals
void | whichTrigger (unsigned int which, const QString &name)

## Public Member Functions
| LineColorMenu (unsigned int which, QWidget *parent)
| ~LineColorMenu () override
int | getNumActions () const
QAction * | getAction (unsigned int which)

## Constructor & Destructor Documentation

## ◆ LineColorMenu()

LineColorMenu::LineColorMenu | ( | unsigned int | which,
|  | QWidget * | parent )
| inline

References getBlack(), getBlue(), getCyan(), getDarkBlue(), getDarkGray(), getDarkGreen(), getDarkRed(), getGray(), getGreen(), getMagenta(), getRed(), and getYellow().

## ◆ ~LineColorMenu()

LineColorMenu::~LineColorMenu | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ getAction()

QAction * LineColorMenu::getAction | ( | unsigned int | which | ) |
| inline

## ◆ getBlack

void LineColorMenu::getBlack | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineColorMenu().

## ◆ getBlue

void LineColorMenu::getBlue | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineColorMenu().

## ◆ getCyan

void LineColorMenu::getCyan | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineColorMenu().

## ◆ getDarkBlue

void LineColorMenu::getDarkBlue | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineColorMenu().

## ◆ getDarkGray

void LineColorMenu::getDarkGray | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineColorMenu().

## ◆ getDarkGreen

void LineColorMenu::getDarkGreen | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineColorMenu().

## ◆ getDarkRed

void LineColorMenu::getDarkRed | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineColorMenu().

## ◆ getGray

void LineColorMenu::getGray | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineColorMenu().

## ◆ getGreen

void LineColorMenu::getGreen | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineColorMenu().

## ◆ getMagenta

void LineColorMenu::getMagenta | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineColorMenu().

## ◆ getNumActions()

int LineColorMenu::getNumActions | ( |  | ) | const
| inline

## ◆ getRed

void LineColorMenu::getRed | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineColorMenu().

## ◆ getYellow

void LineColorMenu::getYellow | ( |  | ) |
| inlineslot

References whichTrigger().

Referenced by LineColorMenu().

## ◆ whichTrigger

void LineColorMenu::whichTrigger | ( | unsigned int | which,
|  | const QString & | name )
| signal

Referenced by getBlack(), getBlue(), getCyan(), getDarkBlue(), getDarkGray(), getDarkGreen(), getDarkRed(), getGray(), getGreen(), getMagenta(), getRed(), and getYellow().

The documentation for this class was generated from the following file:

- form_menus.h